summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authornado <nado@troglodyte.be>2018-07-11 10:19:15 +0200
committerMatthew Thode <prometheanfire@gentoo.org>2018-07-12 13:59:12 -0500
commit7c6ee748e42214ab4f44a886227d334d2c3d5610 (patch)
treea1a2c1c12ddf7252906cc102ab7ccb5777d81675 /media-libs/rubberband
parentmedia-libs/lilv: add env file to ease prefix support (diff)
downloadgentoo-7c6ee748e42214ab4f44a886227d334d2c3d5610.tar.gz
gentoo-7c6ee748e42214ab4f44a886227d334d2c3d5610.tar.bz2
gentoo-7c6ee748e42214ab4f44a886227d334d2c3d5610.zip
media-libs/rubberband: fix prefix support and switch to eapi 7
Closes: https://bugs.gentoo.org/660592 Package-Manager: Portage-2.3.41, Repoman-2.3.9 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'media-libs/rubberband')
-rw-r--r--media-libs/rubberband/rubberband-1.8.1-r2.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/media-libs/rubberband/rubberband-1.8.1-r2.ebuild b/media-libs/rubberband/rubberband-1.8.1-r2.ebuild
new file mode 100644
index 00000000000..a2ccff636e6
--- /dev/null
+++ b/media-libs/rubberband/rubberband-1.8.1-r2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib multilib-minimal
+
+DESCRIPTION="An audio time-stretching and pitch-shifting library and utility program"
+HOMEPAGE="https://www.breakfastquay.com/rubberband/"
+SRC_URI="https://code.breakfastquay.com/attachments/download/34/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="static-libs"
+
+RDEPEND="media-libs/vamp-plugin-sdk[${MULTILIB_USEDEP}]
+ media-libs/libsamplerate[${MULTILIB_USEDEP}]
+ media-libs/libsndfile
+ media-libs/ladspa-sdk
+ sci-libs/fftw:3.0[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ if ! use static-libs ; then
+ sed -e '/^all:/s/$(STATIC_TARGET)//' \
+ -e '/^\tcp $(STATIC_TARGET)/d' \
+ -i Makefile.in || die
+ fi
+ multilib_copy_sources
+}
+
+multilib_src_install() {
+ emake INSTALL_BINDIR="${ED}/usr/bin" \
+ INSTALL_INCDIR="${ED}/usr/include/rubberband" \
+ INSTALL_LIBDIR="${ED}/usr/$(get_libdir)" \
+ INSTALL_VAMPDIR="${ED}/usr/$(get_libdir)/vamp" \
+ INSTALL_LADSPADIR="${ED}/usr/$(get_libdir)/ladspa" \
+ INSTALL_LRDFDIR="${ED}/usr/share/ladspa/rdf" \
+ INSTALL_PKGDIR="${ED}/usr/$(get_libdir)/pkgconfig" \
+ install
+}
+
+multilib_src_install_all() {
+ dodoc CHANGELOG README.txt
+}